clear all

% Funzione per fare dei plot con un qualche opzione "estetica"
function my_plot(f, a, b)
	xp = linspace(a, b, 200);
	yp = f(xp);
	plot(xp, yp, '-', 'linewidth', 2, 'color', [0, 0, 0])
	xlim([a, b])
	grid()
end

% Funzione per fare degli scatter plot, con qualche opzione "estetica"
function my_scatter(x, y, a, b)
	scatter(x, y, 8, 'r', 'o', 'filled')
	xlim([a, b])
	grid()
end

% Misurazioni
x = [1.50, 7.80, 14.10];
y = [0.80, 1.30,  0.82];

% Estremi dell'intervallo di integrazione
a = 0; b = 15.0;

p = polyfit(x, y, length(x)-1)

hold on
f = @(x) (polyval(p, x));
my_plot(f, a, b);
my_scatter(x, y, a, b);
hold off

pp = polyint(p)

q = polyval(pp, b) - polyval(pp, a)
m = q ./ (b-a)

