clear all

% Funzione per fare dei plot con un qualche opzione "estetica"
function my_plot(f, a, b)
	xp = linspace(a, b, 200);
	yp = f(xp);
	plot(xp, yp, '-', 'linewidth', 2, 'color', [0, 0, 0])
	xlim([a, b])
	grid()
end

% Funzione per fare degli scatter plot, con qualche opzione "estetica"
function my_scatter(x, y, a, b)
	scatter(x, y, 8, 'r', 'o', 'filled')
	xlim([a, b])
	grid()
end

% Costanti fisiche
global g = 9.81;
% Dati sul carico a monte
global z1 = 1;
% Dati sul fluido
global rho = 1e3;
global mu = 1e-3;
% Dati sulla condotta
global D = 0.05;
global L = 15;
global es = 0.001;
global k = 0.5;

data = dlmread('es2.csv');
x = data(:,1)';
h = data(:,2)';
a = min(x);
b = max(x);


function z = bern(q, h)
	global g;
	global z1;
	global rho;
	global mu;
	global D;
	global L;
	global es;
	global k;

	v = hspeed(q, D);
	H12 = h + 1 - v.^2 ./ (2 .* g);

	eD = es ./ D;
	nu = mu ./ rho;
	Re = Reynolds(v, D, nu);
	f = churchill(Re, eD);
	WD = loss_l(f, D, L, v, g);

	WC = loss_k(k, v, g);

	z = H12 - WD - WC;
end


q = []
for ii = 1:length(h)
	f = @(q) (bern(q, h(ii)));
	q(ii) = fsolve(f, 0.001);
end
q;

my_scatter(x, h, a, b)
figure()
my_scatter(x, q, a, b)

Q = trapz(x, q)
Qm = Q ./ 31